Page MenuHomePhabricator

Ressurect phpunit tests for the CRM modules
Closed, ResolvedPublic2 Story Points

Description

These tests have gotten stale due to disuse. Make them all pass, or skip failing tests for now.

Also: update documentation for how to install and use this repo, and add documentation on how to run the tests.

Details

Related Gerrit Patches:
wikimedia/fundraising/crm/civicrm : masterDelete bad references
wikimedia/fundraising/crm : masterobsessive safety checks
wikimedia/fundraising/crm : masterReinstate some missing schema upgrades
wikimedia/fundraising/crm : masterFix unit tests

Event Timeline

awight created this task.Jan 13 2015, 7:00 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
awight moved this task from Dev Ready to In Development on the § Fundraising Sprint Abba board.
awight updated the task description. (Show Details)
awight set Security to None.
awight edited a custom field.
awight added a comment.EditedJan 13 2015, 7:47 PM

A minor thing I noticed is that my local db still has no default value for drupal.contribution_tracking.anonymous and optout. The production box has "default null" for these columns. This should have been fixed by a schema upgrade, I assume other dev instances will have this issue.

Change 184720 had a related patch set uploaded (by Awight):
Fix unit tests

https://gerrit.wikimedia.org/r/184720

Patch-For-Review

awight edited a custom field.
atgo assigned this task to awight.Jan 14 2015, 10:58 PM

Change 184720 merged by Katie Horn:
Fix unit tests

https://gerrit.wikimedia.org/r/184720

awight edited a custom field.

Change 185206 had a related patch set uploaded (by Awight):
Delete bad references

https://gerrit.wikimedia.org/r/185206

Patch-For-Review

Change 185337 had a related patch set uploaded (by Awight):
Reinstate some missing schema upgrades

https://gerrit.wikimedia.org/r/185337

Patch-For-Review

Change 185338 had a related patch set uploaded (by Awight):
obsessive safety checks

https://gerrit.wikimedia.org/r/185338

Patch-For-Review

Change 185337 merged by Ejegg:
Reinstate some missing schema upgrades

https://gerrit.wikimedia.org/r/185337

Change 185338 merged by Ejegg:
obsessive safety checks

https://gerrit.wikimedia.org/r/185338

@awight please check out status on this

rad! let's kick it out :)

once Jenkins decides to play nice

awight added a comment.Feb 5 2015, 7:34 AM

Status: There is a tiny thing I should continue fixing in https://gerrit.wikimedia.org/r/#/c/185206/

awight renamed this task from Make CiviCRM phpunit tests healthy again to Ressurect phpunit tests for the CRM modules.Feb 5 2015, 7:54 AM
awight raised the priority of this task from Normal to High.

@awight is this a blocker for upgrading to 4.4?

awight closed this task as Resolved.Feb 19 2015, 5:55 PM
awight moved this task from Dev Ready to Pending Deployment on the Fundraising Sprint Enya board.
awight moved this task from Pending Deployment to Done on the Fundraising Sprint Enya board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM